This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 234713 - iwlwifi lockdep report (failure to load firmware)
iwlwifi lockdep report (failure to load firmware)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2007-03-31 14:32 EDT by Bernd Bartmann
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-05 14:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output with dmesh with kernel calltrace (41.87 KB, text/plain)
2007-03-31 14:33 EDT, Bernd Bartmann
no flags Details
output of lspci -v (7.05 KB, application/octet-stream)
2007-03-31 14:34 EDT, Bernd Bartmann
no flags Details

  None (edit)
Description Bernd Bartmann 2007-03-31 14:32:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.2) Gecko/20070219 Firefox/2.0.0.2

Description of problem:
I found a calltrace during boot on my DELL D620 laptop with FC7T3 x86_64.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.3017.fc7.x86_64

How reproducible:
Sometimes


Steps to Reproduce:
1. try FC7T3 on a DELL D620
2.
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Bernd Bartmann 2007-03-31 14:33:43 EDT
Created attachment 151354 [details]
output with dmesh with kernel calltrace
Comment 2 Bernd Bartmann 2007-03-31 14:34:35 EDT
Created attachment 151355 [details]
output of lspci -v
Comment 3 Johannes Berg 2007-04-05 14:19:39 EDT
The bug is actually in iwlwifi, look at the error path in iwl_pci_probe:

12947 mutex_lock(&priv->mutex);
[...]
12969 /* fetch uCode file from disk, copy to bus-master buffers */
12970 err = ipw_read_ucode(priv);
12971 if (err) {
12972   IPW_ERROR("Could not read microcode from disk: %d\n", err);
12973   goto out_remove_sysfs;
12974 }

and note that in the error path it doesn't unlock nor destroy the mutex.

(I'd have changed the summary but I can't)
Comment 4 John W. Linville 2007-04-05 14:26:13 EDT
Actually, the latest rawhide kernel has a fix for this issue -- please give 
that a try.

Also, this bug is triggered by the lack of iwlwifi firmware installed on your 
box.  So, after you update to the latest rawhide kernel and reboot to verify 
that this issue is fixed, then you will need to install the iwlwifi-firmware 
package and reload the iwlwifi module:

   yum install iwlwifi-firmware
   modprobe -r iwlwifi
   modprobe iwlwifi

Hth!

Note You need to log in before you can comment on or make changes to this bug.